Page MenuHomePhabricator

Special:BlockList "expires" column enhancement: time left
Closed, ResolvedPublic

Description

It would be useful if Special:BlockList "expires" column included the time left on the block. When reviewing an unblock request, it's sometimes helpful to know just how much time is left on the request -- something like "3 hours 27 minutes remaining". It's just a shortcut, of course; one can always calculate it, but sometimes juggling UTC and local time is is annoying when the computer could do it for me without even being asked.

Event Timeline

Jpgordon created this task.Mar 19 2016, 3:52 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 19 2016, 3:52 AM
Florian claimed this task.Mar 24 2016, 5:37 PM
Florian triaged this task as Normal priority.
Florian added a subscriber: Florian.

Would be a nice feature! :)

Change 279402 had a related patch set uploaded (by Florianschmidtwelzow):
Show time left until ´block expiry on Special:BlockList

https://gerrit.wikimedia.org/r/279402

Result with the above change:

Change 279402 merged by jenkins-bot:
Show time left until block expiry in BlockListPager

https://gerrit.wikimedia.org/r/279402

Florian closed this task as Resolved.Apr 2 2016, 9:15 PM
Florian removed a project: Patch-For-Review.